/*
 * Copyright 2000-2018 JetBrains s.r.o. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
 */

package icons;

import com.intellij.openapi.util.IconLoader;

import javax.swing.*;

/**
 * Generated file from icon mapping process.  DO NOT EDIT DIRECTLY
 **/
public class StudioIcons {
  // Collections of constants, do not instantiate.
  private StudioIcons() {}

  private static Icon load(String path) {
    return IconLoader.getIcon(path, StudioIcons.class);
  }

  public static class Avd {
    public static final Icon DEVICE_CAR = load("/studio/icons/avd/device-car.png"); // 16x16
    public static final Icon DEVICE_CAR_LARGE = load("/studio/icons/avd/device-car_large.png"); // 32x32
    public static final Icon DEVICE_GLASS = load("/studio/icons/avd/device-glass.png"); // 16x16
    public static final Icon DEVICE_GLASS_LARGE = load("/studio/icons/avd/device-glass_large.png"); // 32x32
    public static final Icon DEVICE_MOBILE = load("/studio/icons/avd/device-mobile.png"); // 16x16
    public static final Icon DEVICE_MOBILE_LARGE = load("/studio/icons/avd/device-mobile_large.png"); // 32x32
    public static final Icon DEVICE_PHONE = load("/studio/icons/avd/device-phone.png"); // 16x16
    public static final Icon DEVICE_PLAY_STORE = load("/studio/icons/avd/device-play-store.png"); // 16x16
    public static final Icon DEVICE_TABLET = load("/studio/icons/avd/device-tablet.png"); // 16x16
    public static final Icon DEVICE_TV = load("/studio/icons/avd/device-tv.png"); // 16x16
    public static final Icon DEVICE_TV_LARGE = load("/studio/icons/avd/device-tv_large.png"); // 32x32
    public static final Icon DEVICE_WEAR = load("/studio/icons/avd/device-wear.png"); // 16x16
    public static final Icon DEVICE_WEAR_LARGE = load("/studio/icons/avd/device-wear_large.png"); // 32x32
    public static final Icon EDIT = load("/studio/icons/avd/edit.png"); // 16x16
    public static final Icon QUICK_BOOT = load("/studio/icons/avd/quick-boot.png"); // 16x16
    public static final Icon RUN = load("/studio/icons/avd/run.png"); // 16x16
  }

  public static class Common {
    public static final Icon ADD = load("/studio/icons/common/add.png"); // 16x16
    public static final Icon BACK_ARROW = load("/studio/icons/common/back-arrow.png"); // 16x16
    public static final Icon CHECKED = load("/studio/icons/common/checked.png"); // 16x16
    public static final Icon CLEAR = load("/studio/icons/common/clear.png"); // 16x16
    public static final Icon CLOSE = load("/studio/icons/common/close.png"); // 16x16
    public static final Icon DELETE = load("/studio/icons/common/delete.png"); // 16x16
    public static final Icon EDIT = load("/studio/icons/common/edit.png"); // 16x16
    public static final Icon ERROR_INLINE_SELECTED = load("/studio/icons/common/error-inline-selected.png"); // 16x16
    public static final Icon ERROR_INLINE = load("/studio/icons/common/error-inline.png"); // 16x16
    public static final Icon ERROR = load("/studio/icons/common/error.png"); // 16x16
    public static final Icon EXPORT = load("/studio/icons/common/export.png"); // 16x16
    public static final Icon FILTER = load("/studio/icons/common/filter.png"); // 16x16
    public static final Icon HELP = load("/studio/icons/common/help.png"); // 16x16
    public static final Icon IMPORT_DATA = load("/studio/icons/common/import-data.png"); // 16x16
    public static final Icon INFO_INLINE_SELECTED = load("/studio/icons/common/info-inline-selected.png"); // 16x16
    public static final Icon INFO_INLINE = load("/studio/icons/common/info-inline.png"); // 16x16
    public static final Icon INFO = load("/studio/icons/common/info.png"); // 16x16
    public static final Icon LINK = load("/studio/icons/common/link.png"); // 16x16
    public static final Icon LOCKED_INLINE_SELECTED = load("/studio/icons/common/locked-inline-selected.png"); // 16x16
    public static final Icon LOCKED_INLINE = load("/studio/icons/common/locked-inline.png"); // 16x16
    public static final Icon MISSING = load("/studio/icons/common/missing.png"); // 16x16
    public static final Icon MOVE_DOWN_SELECTED = load("/studio/icons/common/move-down-selected.png"); // 14x14
    public static final Icon OVERFLOW = load("/studio/icons/common/overflow.png"); // 16x16
    public static final Icon PROPERTY_BOUND_FOCUS = load("/studio/icons/common/property-bound-focus.png"); // 15x20
    public static final Icon PROPERTY_BOUND = load("/studio/icons/common/property-bound.png"); // 15x20
    public static final Icon PROPERTY_UNBOUND_FOCUS = load("/studio/icons/common/property-unbound-focus.png"); // 15x20
    public static final Icon PROPERTY_UNBOUND = load("/studio/icons/common/property-unbound.png"); // 15x20
    public static final Icon REMOVE = load("/studio/icons/common/remove.png"); // 16x16
    public static final Icon REORDER = load("/studio/icons/common/reorder.png"); // 16x16
    public static final Icon RESET_ZOOM = load("/studio/icons/common/reset-zoom.png"); // 16x16
    public static final Icon SEARCH = load("/studio/icons/common/search.png"); // 16x16
    public static final Icon SUCCESS_INLINE_SELECTED = load("/studio/icons/common/success-inline-selected.png"); // 16x16
    public static final Icon SUCCESS_INLINE = load("/studio/icons/common/success-inline.png"); // 16x16
    public static final Icon SUCCESS = load("/studio/icons/common/success.png"); // 16x16
    public static final Icon VISIBILITY_INLINE_SELECTED = load("/studio/icons/common/visibility-inline-selected.png"); // 16x16
    public static final Icon VISIBILITY_INLINE = load("/studio/icons/common/visibility-inline.png"); // 16x16
    public static final Icon WARNING_INLINE_SELECTED = load("/studio/icons/common/warning-inline-selected.png"); // 16x16
    public static final Icon WARNING_INLINE = load("/studio/icons/common/warning-inline.png"); // 16x16
    public static final Icon WARNING = load("/studio/icons/common/warning.png"); // 16x16
    public static final Icon ZOOM_ACTUAL = load("/studio/icons/common/zoom-actual.png"); // 16x16
    public static final Icon ZOOM_IN = load("/studio/icons/common/zoom-in.png"); // 16x16
    public static final Icon ZOOM_OUT = load("/studio/icons/common/zoom-out.png"); // 16x16
    public static final Icon ZOOM_SELECT = load("/studio/icons/common/zoom-select.png"); // 16x16
  }

  public static class Cursors {
    public static final Icon EW_RESIZE = load("/studio/icons/cursors/ew-resize.png"); // 32x32
    public static final Icon GRAB = load("/studio/icons/cursors/grab.png"); // 32x32
    public static final Icon GRABBING = load("/studio/icons/cursors/grabbing.png"); // 32x32
    public static final Icon NESW_RESIZE = load("/studio/icons/cursors/nesw-resize.png"); // 32x32
    public static final Icon NS_RESIZE = load("/studio/icons/cursors/ns-resize.png"); // 32x32
    public static final Icon NWSE_RESIZE = load("/studio/icons/cursors/nwse-resize.png"); // 32x32
  }

  public static class DeviceExplorer {
    public static final Icon SD_CARD_FOLDER = load("/studio/icons/device-explorer/sd-card-folder.png"); // 16x16
    public static final Icon SHARED_PREFS = load("/studio/icons/device-explorer/shared-prefs.png"); // 16x16
  }

  public static class LayoutEditor {
    public static class Extras {
      public static final Icon DOWNLOAD_OVERLAY_LEGACY = load("/studio/icons/layout-editor/extras/download-overlay-legacy.png"); // 16x16
      public static final Icon DOWNLOAD_OVERLAY_LEGACY_LARGE = load("/studio/icons/layout-editor/extras/download-overlay-legacy_large.png"); // 24x24
      public static final Icon PALETTE_DOWNLOAD_SELECTED = load("/studio/icons/layout-editor/extras/palette-download-selected.png"); // 16x16
      public static final Icon PALETTE_DOWNLOAD = load("/studio/icons/layout-editor/extras/palette-download.png"); // 16x16
      public static final Icon PIPETTE = load("/studio/icons/layout-editor/extras/pipette.png"); // 16x16
      public static final Icon PIPETTE_LARGE = load("/studio/icons/layout-editor/extras/pipette_large.png"); // 24x24
      public static final Icon ROOT_INLINE_SELECTED = load("/studio/icons/layout-editor/extras/root-inline-selected.png"); // 16x16
      public static final Icon ROOT_INLINE = load("/studio/icons/layout-editor/extras/root-inline.png"); // 16x16
      public static final Icon VISIBILITY_GONE_INLINE_SELECTED = load("/studio/icons/layout-editor/extras/visibility-gone-inline-selected.png"); // 16x16
      public static final Icon VISIBILITY_GONE_INLINE = load("/studio/icons/layout-editor/extras/visibility-gone-inline.png"); // 16x16
    }

    public static class Menu {
      public static final Icon CAST = load("/studio/icons/layout-editor/menu/cast.png"); // 16x16
      public static final Icon GROUP = load("/studio/icons/layout-editor/menu/group.png"); // 16x16
      public static final Icon ITEM = load("/studio/icons/layout-editor/menu/item.png"); // 16x16
      public static final Icon MENU = load("/studio/icons/layout-editor/menu/menu.png"); // 16x16
      public static final Icon SEARCH = load("/studio/icons/layout-editor/menu/search.png"); // 16x16
      public static final Icon SWITCH = load("/studio/icons/layout-editor/menu/switch.png"); // 16x16
    }

    public static class Motion {
      public static final Icon GO_TO_END = load("/studio/icons/layout-editor/motion/go-to-end.png"); // 16x16
      public static final Icon GO_TO_START = load("/studio/icons/layout-editor/motion/go-to-start.png"); // 16x16
      public static final Icon LOOP = load("/studio/icons/layout-editor/motion/loop.png"); // 16x16
      public static final Icon MAX_SCALE = load("/studio/icons/layout-editor/motion/max-scale.png"); // 16x16
      public static final Icon MIN_SCALE = load("/studio/icons/layout-editor/motion/min-scale.png"); // 16x16
      public static final Icon PAUSE = load("/studio/icons/layout-editor/motion/pause.png"); // 16x16
      public static final Icon PLAY = load("/studio/icons/layout-editor/motion/play.png"); // 16x16
      public static final Icon SLOW_MOTION = load("/studio/icons/layout-editor/motion/slow-motion.png"); // 16x16
    }

    public static class Palette {
      public static final Icon AD_VIEW = load("/studio/icons/layout-editor/palette/ad-view.png"); // 16x16
      public static final Icon ADAPTER_VIEW_FLIPPER = load("/studio/icons/layout-editor/palette/adapter-view-flipper.png"); // 16x16
      public static final Icon ANALOG_CLOCK = load("/studio/icons/layout-editor/palette/analog-clock.png"); // 16x16
      public static final Icon APP_BAR_LAYOUT = load("/studio/icons/layout-editor/palette/app-bar-layout.png"); // 16x16
      public static final Icon AUTO_COMPLETE_TEXT_VIEW = load("/studio/icons/layout-editor/palette/auto-complete-text-view.png"); // 16x16
      public static final Icon BOTTOM_APP_BAR = load("/studio/icons/layout-editor/palette/bottom-app-bar.png"); // 16x16
      public static final Icon BOTTOM_NAVIGATION_VIEW = load("/studio/icons/layout-editor/palette/bottom-navigation-view.png"); // 16x16
      public static final Icon BUTTON = load("/studio/icons/layout-editor/palette/button.png"); // 16x16
      public static final Icon CALENDAR_VIEW = load("/studio/icons/layout-editor/palette/calendar-view.png"); // 16x16
      public static final Icon CARD_VIEW = load("/studio/icons/layout-editor/palette/card-view.png"); // 16x16
      public static final Icon CHECK_BOX = load("/studio/icons/layout-editor/palette/check-box.png"); // 16x16
      public static final Icon CHECKED_TEXT_VIEW = load("/studio/icons/layout-editor/palette/checked-text-view.png"); // 16x16
      public static final Icon CHIP_GROUP = load("/studio/icons/layout-editor/palette/chip-group.png"); // 16x16
      public static final Icon CHIP = load("/studio/icons/layout-editor/palette/chip.png"); // 16x16
      public static final Icon CHRONOMETER = load("/studio/icons/layout-editor/palette/chronometer.png"); // 16x16
      public static final Icon COLLAPSING_TOOLBAR_LAYOUT = load("/studio/icons/layout-editor/palette/collapsing-toolbar-layout.png"); // 16x16
      public static final Icon CONSTRAINT_LAYOUT = load("/studio/icons/layout-editor/palette/constraint-layout.png"); // 16x16
      public static final Icon COORDINATOR_LAYOUT = load("/studio/icons/layout-editor/palette/coordinator-layout.png"); // 16x16
      public static final Icon CUSTOM_VIEW = load("/studio/icons/layout-editor/palette/custom-view.png"); // 16x16
      public static final Icon DATE_PICKER = load("/studio/icons/layout-editor/palette/date-picker.png"); // 16x16
      public static final Icon DATE_TEXTFIELD = load("/studio/icons/layout-editor/palette/date-textfield.png"); // 16x16
      public static final Icon EDIT_TEXT = load("/studio/icons/layout-editor/palette/edit-text.png"); // 16x16
      public static final Icon EMAIL_TEXTFIELD = load("/studio/icons/layout-editor/palette/email-textfield.png"); // 16x16
      public static final Icon EXPANDABLE_LIST_VIEW = load("/studio/icons/layout-editor/palette/expandable-list-view.png"); // 16x16
      public static final Icon FLOATING_ACTION_BUTTON = load("/studio/icons/layout-editor/palette/floating-action-button.png"); // 16x16
      public static final Icon FRAGMENT = load("/studio/icons/layout-editor/palette/fragment.png"); // 16x16
      public static final Icon FRAME_LAYOUT = load("/studio/icons/layout-editor/palette/frame-layout.png"); // 16x16
      public static final Icon GRID_LAYOUT_COMPAT = load("/studio/icons/layout-editor/palette/grid-layout-compat.png"); // 16x16
      public static final Icon GRID_LAYOUT = load("/studio/icons/layout-editor/palette/grid-layout.png"); // 16x16
      public static final Icon GRID_VIEW = load("/studio/icons/layout-editor/palette/grid-view.png"); // 16x16
      public static final Icon HORIZONTAL_DIVIDER = load("/studio/icons/layout-editor/palette/horizontal-divider.png"); // 16x16
      public static final Icon HORIZONTAL_GUIDE = load("/studio/icons/layout-editor/palette/horizontal-guide.png"); // 16x16
      public static final Icon HORIZONTAL_SCROLL_VIEW = load("/studio/icons/layout-editor/palette/horizontal-scroll-view.png"); // 16x16
      public static final Icon IMAGE_BUTTON = load("/studio/icons/layout-editor/palette/image-button.png"); // 16x16
      public static final Icon IMAGE_SWITCHER = load("/studio/icons/layout-editor/palette/image-switcher.png"); // 16x16
      public static final Icon IMAGE_VIEW = load("/studio/icons/layout-editor/palette/image-view.png"); // 16x16
      public static final Icon INCLUDE = load("/studio/icons/layout-editor/palette/include.png"); // 16x16
      public static final Icon LINEAR_LAYOUT_HORZ = load("/studio/icons/layout-editor/palette/linear-layout-horz.png"); // 16x16
      public static final Icon LINEAR_LAYOUT_VERT = load("/studio/icons/layout-editor/palette/linear-layout-vert.png"); // 16x16
      public static final Icon LIST_VIEW = load("/studio/icons/layout-editor/palette/list-view.png"); // 16x16
      public static final Icon MAP_FRAGMENT = load("/studio/icons/layout-editor/palette/map-fragment.png"); // 16x16
      public static final Icon MAP_VIEW = load("/studio/icons/layout-editor/palette/map-view.png"); // 16x16
      public static final Icon MENU = load("/studio/icons/layout-editor/palette/menu.png"); // 16x16
      public static final Icon MERGE = load("/studio/icons/layout-editor/palette/merge.png"); // 16x16
      public static final Icon MULTI_AUTO_COMPLETE_TEXT_VIEW = load("/studio/icons/layout-editor/palette/multi-auto-complete-text-view.png"); // 16x16      
      public static final Icon NAV_HOST_FRAGMENT = load("/studio/icons/layout-editor/palette/nav-host-fragment.png"); // 16x16
      public static final Icon NAVIGATION_VIEW = load("/studio/icons/layout-editor/palette/navigation-view.png"); // 16x16
      public static final Icon NESTED_SCROLL_VIEW = load("/studio/icons/layout-editor/palette/nested-scroll-view.png"); // 16x16
      public static final Icon NUMBER_DECIMAL_TEXTFIELD = load("/studio/icons/layout-editor/palette/number-decimal-textfield.png"); // 16x16
      public static final Icon NUMBER_PICKER = load("/studio/icons/layout-editor/palette/number-picker.png"); // 16x16
      public static final Icon NUMBER_SIGNED_TEXTFIELD = load("/studio/icons/layout-editor/palette/number-signed-textfield.png"); // 16x16
      public static final Icon NUMBER_TEXTFIELD = load("/studio/icons/layout-editor/palette/number-textfield.png"); // 16x16
      public static final Icon PASSWORD_NUMERIC_TEXTFIELD = load("/studio/icons/layout-editor/palette/password-numeric-textfield.png"); // 16x16
      public static final Icon PASSWORD_TEXTFIELD = load("/studio/icons/layout-editor/palette/password-textfield.png"); // 16x16
      public static final Icon PHONE_TEXTFIELD = load("/studio/icons/layout-editor/palette/phone-textfield.png"); // 16x16
      public static final Icon POSTAL_ADDRESS_TEXTFIELD = load("/studio/icons/layout-editor/palette/postal-address-textfield.png"); // 16x16
      public static final Icon PROGRESS_BAR_HORIZONTAL = load("/studio/icons/layout-editor/palette/progress-bar-horizontal.png"); // 16x16
      public static final Icon PROGRESS_BAR = load("/studio/icons/layout-editor/palette/progress-bar.png"); // 16x16
      public static final Icon QUICK_CONTACT_BADGE = load("/studio/icons/layout-editor/palette/quick-contact-badge.png"); // 16x16
      public static final Icon RADIO_BUTTON = load("/studio/icons/layout-editor/palette/radio-button.png"); // 16x16
      public static final Icon RADIO_GROUP = load("/studio/icons/layout-editor/palette/radio-group.png"); // 16x16
      public static final Icon RATING_BAR = load("/studio/icons/layout-editor/palette/rating-bar.png"); // 16x16
      public static final Icon RECYCLER_VIEW = load("/studio/icons/layout-editor/palette/recycler-view.png"); // 16x16
      public static final Icon RELATIVE_LAYOUT = load("/studio/icons/layout-editor/palette/relative-layout.png"); // 16x16
      public static final Icon REQUEST_FOCUS = load("/studio/icons/layout-editor/palette/request-focus.png"); // 16x16
      public static final Icon SCROLL_VIEW = load("/studio/icons/layout-editor/palette/scroll-view.png"); // 16x16
      public static final Icon SEARCH_VIEW = load("/studio/icons/layout-editor/palette/search-view.png"); // 16x16
      public static final Icon SEEK_BAR_DISCRETE = load("/studio/icons/layout-editor/palette/seek-bar-discrete.png"); // 16x16
      public static final Icon SEEK_BAR = load("/studio/icons/layout-editor/palette/seek-bar.png"); // 16x16
      public static final Icon SPACE = load("/studio/icons/layout-editor/palette/space.png"); // 16x16
      public static final Icon SPINNER = load("/studio/icons/layout-editor/palette/spinner.png"); // 16x16
      public static final Icon STACK_VIEW = load("/studio/icons/layout-editor/palette/stack-view.png"); // 16x16
      public static final Icon SURFACE_VIEW = load("/studio/icons/layout-editor/palette/surface-view.png"); // 16x16
      public static final Icon SWITCH = load("/studio/icons/layout-editor/palette/switch.png"); // 16x16
      public static final Icon TAB_HOST = load("/studio/icons/layout-editor/palette/tab-host.png"); // 16x16
      public static final Icon TAB_ITEM = load("/studio/icons/layout-editor/palette/tab-item.png"); // 16x16
      public static final Icon TAB_LAYOUT = load("/studio/icons/layout-editor/palette/tab-layout.png"); // 16x16
      public static final Icon TAB_WIDGET = load("/studio/icons/layout-editor/palette/tab-widget.png"); // 16x16
      public static final Icon TABLE_LAYOUT = load("/studio/icons/layout-editor/palette/table-layout.png"); // 16x16
      public static final Icon TABLE_ROW = load("/studio/icons/layout-editor/palette/table-row.png"); // 16x16
      public static final Icon TEXT_CLOCK = load("/studio/icons/layout-editor/palette/text-clock.png"); // 16x16
      public static final Icon TEXT_INPUT_LAYOUT = load("/studio/icons/layout-editor/palette/text-input-layout.png"); // 16x16
      public static final Icon TEXT_SWITCHER = load("/studio/icons/layout-editor/palette/text-switcher.png"); // 16x16
      public static final Icon TEXT_VIEW = load("/studio/icons/layout-editor/palette/text-view.png"); // 16x16
      public static final Icon TEXTFIELD_MULTILINE = load("/studio/icons/layout-editor/palette/textfield-multiline.png"); // 16x16
      public static final Icon TEXTFIELD = load("/studio/icons/layout-editor/palette/textfield.png"); // 16x16
      public static final Icon TEXTURE_VIEW = load("/studio/icons/layout-editor/palette/texture-view.png"); // 16x16
      public static final Icon TIME_PICKER = load("/studio/icons/layout-editor/palette/time-picker.png"); // 16x16
      public static final Icon TIME_TEXTFIELD = load("/studio/icons/layout-editor/palette/time-textfield.png"); // 16x16
      public static final Icon TOGGLE_BUTTON = load("/studio/icons/layout-editor/palette/toggle-button.png"); // 16x16
      public static final Icon TOOLBAR = load("/studio/icons/layout-editor/palette/toolbar.png"); // 16x16
      public static final Icon UNKNOWN_VIEW = load("/studio/icons/layout-editor/palette/unknown-view.png"); // 16x16
      public static final Icon VERTICAL_DIVIDER = load("/studio/icons/layout-editor/palette/vertical-divider.png"); // 16x16
      public static final Icon VERTICAL_GUIDE = load("/studio/icons/layout-editor/palette/vertical-guide.png"); // 16x16
      public static final Icon VIDEO_VIEW = load("/studio/icons/layout-editor/palette/video-view.png"); // 16x16
      public static final Icon VIEW_ANIMATOR = load("/studio/icons/layout-editor/palette/view-animator.png"); // 16x16
      public static final Icon VIEW_FLIPPER = load("/studio/icons/layout-editor/palette/view-flipper.png"); // 16x16
      public static final Icon VIEW_PAGER = load("/studio/icons/layout-editor/palette/view-pager.png"); // 16x16
      public static final Icon VIEW_STUB = load("/studio/icons/layout-editor/palette/view-stub.png"); // 16x16
      public static final Icon VIEW_SWITCHER = load("/studio/icons/layout-editor/palette/view-switcher.png"); // 16x16
      public static final Icon VIEW = load("/studio/icons/layout-editor/palette/view.png"); // 16x16
      public static final Icon WEB_VIEW = load("/studio/icons/layout-editor/palette/web-view.png"); // 16x16
    }

    public static class Properties {
      public static final Icon ADD_CONNECTION = load("/studio/icons/layout-editor/properties/add-connection.png"); // 16x16
      public static final Icon DESIGN_PROPERTY_ENABLED = load("/studio/icons/layout-editor/properties/design-property-enabled.png"); // 12x12
      public static final Icon DESIGN_PROPERTY = load("/studio/icons/layout-editor/properties/design-property.png"); // 12x12
      public static final Icon FAVORITES_HOVER = load("/studio/icons/layout-editor/properties/favorites-hover.png"); // 16x16
      public static final Icon FAVORITES_SELECTED = load("/studio/icons/layout-editor/properties/favorites-selected.png"); // 16x16
      public static final Icon FAVORITES = load("/studio/icons/layout-editor/properties/favorites.png"); // 16x16
      public static final Icon FLAG = load("/studio/icons/layout-editor/properties/flag.png"); // 14x14
      public static final Icon MODIFY_NAV = load("/studio/icons/layout-editor/properties/modify-nav.png"); // 16x16
      public static final Icon MODIFY_TEXT = load("/studio/icons/layout-editor/properties/modify-text.png"); // 16x16
      public static final Icon MODIFY_THEME = load("/studio/icons/layout-editor/properties/modify-theme.png"); // 16x16
      public static final Icon TEXT_ALIGN_CENTER = load("/studio/icons/layout-editor/properties/text-align-center.png"); // 16x16
      public static final Icon TEXT_ALIGN_LAYOUT_LEFT = load("/studio/icons/layout-editor/properties/text-align-layout-left.png"); // 16x16
      public static final Icon TEXT_ALIGN_LAYOUT_RIGHT = load("/studio/icons/layout-editor/properties/text-align-layout-right.png"); // 16x16
      public static final Icon TEXT_ALIGN_LEFT = load("/studio/icons/layout-editor/properties/text-align-left.png"); // 16x16
      public static final Icon TEXT_ALIGN_RIGHT = load("/studio/icons/layout-editor/properties/text-align-right.png"); // 16x16
      public static final Icon TEXT_STYLE_BOLD = load("/studio/icons/layout-editor/properties/text-style-bold.png"); // 16x16
      public static final Icon TEXT_STYLE_ITALIC = load("/studio/icons/layout-editor/properties/text-style-italic.png"); // 16x16
      public static final Icon TEXT_STYLE_UPPERCASE = load("/studio/icons/layout-editor/properties/text-style-uppercase.png"); // 16x16
      public static final Icon TOGGLE_PROPERTIES = load("/studio/icons/layout-editor/properties/toggle-properties.png"); // 16x16
      public static final Icon TOOLS_ATTRIBUTE = load("/studio/icons/layout-editor/properties/tools-attribute.png"); // 12x12
    }

    public static class Toolbar {
      public static final Icon ADD_COMPONENT = load("/studio/icons/layout-editor/toolbar/add-component.png"); // 16x16
      public static final Icon ANDROID_API = load("/studio/icons/layout-editor/toolbar/android-api.png"); // 16x16
      public static final Icon ARROW_DOWN = load("/studio/icons/layout-editor/toolbar/arrow-down.png"); // 16x16
      public static final Icon ARROW_LEFT = load("/studio/icons/layout-editor/toolbar/arrow-left.png"); // 16x16
      public static final Icon ARROW_RIGHT = load("/studio/icons/layout-editor/toolbar/arrow-right.png"); // 16x16
      public static final Icon ARROW_UP = load("/studio/icons/layout-editor/toolbar/arrow-up.png"); // 16x16
      public static final Icon AUTO_CONNECT = load("/studio/icons/layout-editor/toolbar/auto-connect.png"); // 16x16
      public static final Icon AUTO_CORRECT_OFF = load("/studio/icons/layout-editor/toolbar/auto-correct-off.png"); // 16x16
      public static final Icon BARRIER_HORIZONTAL = load("/studio/icons/layout-editor/toolbar/barrier-horizontal.png"); // 16x16
      public static final Icon BARRIER_VERTICAL = load("/studio/icons/layout-editor/toolbar/barrier-vertical.png"); // 16x16
      public static final Icon BASELINE_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/baseline-aligned-constraint.png"); // 16x16
      public static final Icon BASELINE_ALIGNED_WHITE = load("/studio/icons/layout-editor/toolbar/baseline-aligned-white.png"); // 16x16
      public static final Icon BASELINE_ALIGNED = load("/studio/icons/layout-editor/toolbar/baseline-aligned.png"); // 16x16
      public static final Icon BOTTOM_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/bottom-aligned-constraint.png"); // 16x16
      public static final Icon BOTTOM_ALIGNED = load("/studio/icons/layout-editor/toolbar/bottom-aligned.png"); // 16x16
      public static final Icon CENTER_HORIZONTAL_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/center-horizontal-constraint.png"); // 16x16
      public static final Icon CENTER_HORIZONTAL_PARENT_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/center-horizontal-parent-constraint.png"); // 16x16
      public static final Icon CENTER_HORIZONTAL_PARENT = load("/studio/icons/layout-editor/toolbar/center-horizontal-parent.png"); // 16x16
      public static final Icon CENTER_HORIZONTAL = load("/studio/icons/layout-editor/toolbar/center-horizontal.png"); // 16x16
      public static final Icon CENTER_VERTICAL_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/center-vertical-constraint.png"); // 16x16
      public static final Icon CENTER_VERTICAL_PARENT_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/center-vertical-parent-constraint.png"); // 16x16
      public static final Icon CENTER_VERTICAL_PARENT = load("/studio/icons/layout-editor/toolbar/center-vertical-parent.png"); // 16x16
      public static final Icon CENTER_VERTICAL = load("/studio/icons/layout-editor/toolbar/center-vertical.png"); // 16x16
      public static final Icon CLEAR_CONSTRAINTS_WHITE = load("/studio/icons/layout-editor/toolbar/clear-constraints-white.png"); // 16x16
      public static final Icon CLEAR_CONSTRAINTS = load("/studio/icons/layout-editor/toolbar/clear-constraints.png"); // 16x16
      public static final Icon CLEAR_WEIGHT = load("/studio/icons/layout-editor/toolbar/clear-weight.png"); // 16x16
      public static final Icon CREATE_HORIZ_CHAIN = load("/studio/icons/layout-editor/toolbar/create-horiz-chain.png"); // 16x16
      public static final Icon CREATE_VERT_CHAIN = load("/studio/icons/layout-editor/toolbar/create-vert-chain.png"); // 16x16
      public static final Icon CYCLE_CHAIN_PACKED = load("/studio/icons/layout-editor/toolbar/cycle-chain-packed.png"); // 16x16
      public static final Icon CYCLE_CHAIN_SPREAD_INLINE = load("/studio/icons/layout-editor/toolbar/cycle-chain-spread-inline.png"); // 16x16
      public static final Icon CYCLE_CHAIN_SPREAD = load("/studio/icons/layout-editor/toolbar/cycle-chain-spread.png"); // 16x16
      public static final Icon DEVICE_PHONE = load("/studio/icons/layout-editor/toolbar/device-phone.png"); // 16x16
      public static final Icon DEVICE_SCREEN = load("/studio/icons/layout-editor/toolbar/device-screen.png"); // 16x16
      public static final Icon DEVICE_TABLET = load("/studio/icons/layout-editor/toolbar/device-tablet.png"); // 16x16
      public static final Icon DEVICE_TV = load("/studio/icons/layout-editor/toolbar/device-tv.png"); // 16x16
      public static final Icon DEVICE_WEAR = load("/studio/icons/layout-editor/toolbar/device-wear.png"); // 16x16
      public static final Icon DISTRIBUTE_HORIZONTAL_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/distribute-horizontal-constraint.png"); // 16x16
      public static final Icon DISTRIBUTE_HORIZONTAL = load("/studio/icons/layout-editor/toolbar/distribute-horizontal.png"); // 16x16
      public static final Icon DISTRIBUTE_VERTICAL_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/distribute-vertical-constraint.png"); // 16x16
      public static final Icon DISTRIBUTE_VERTICAL = load("/studio/icons/layout-editor/toolbar/distribute-vertical.png"); // 16x16
      public static final Icon DISTRIBUTE_WEIGHT = load("/studio/icons/layout-editor/toolbar/distribute-weight.png"); // 16x16
      public static final Icon EXPAND_HORIZONTAL = load("/studio/icons/layout-editor/toolbar/expand-horizontal.png"); // 16x16
      public static final Icon EXPAND_TO_FIT = load("/studio/icons/layout-editor/toolbar/expand-to-fit.png"); // 16x16
      public static final Icon EXPAND_VERTICAL = load("/studio/icons/layout-editor/toolbar/expand-vertical.png"); // 16x16
      public static final Icon HIDE_CONSTRAINTS = load("/studio/icons/layout-editor/toolbar/hide-constraints.png"); // 16x16
      public static final Icon HORIZONTAL_CENTER_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/horizontal-center-aligned-constraint.png"); // 16x16
      public static final Icon HORIZONTAL_CENTER_ALIGNED = load("/studio/icons/layout-editor/toolbar/horizontal-center-aligned.png"); // 16x16
      public static final Icon HORIZONTAL_GUIDE = load("/studio/icons/layout-editor/toolbar/horizontal-guide.png"); // 16x16
      public static final Icon INFER_CONSTRAINTS = load("/studio/icons/layout-editor/toolbar/infer-constraints.png"); // 16x16
      public static final Icon INSERT_HORIZ_CHAIN = load("/studio/icons/layout-editor/toolbar/insert-horiz-chain.png"); // 16x16
      public static final Icon INSERT_VERT_CHAIN = load("/studio/icons/layout-editor/toolbar/insert-vert-chain.png"); // 16x16
      public static final Icon CONSTRAIN_MENU = load("/studio/icons/layout-editor/toolbar/constraint/constrain.png"); // 16x16
      public static final Icon CONSTRAIN_TOP_SRC = load("/studio/icons/layout-editor/toolbar/constraint/constrain-src-top.png"); // 16x16
      public static final Icon CONSTRAIN_BOTTOM_SRC = load("/studio/icons/layout-editor/toolbar/constraint/constrain-src-bottom.png"); // 16x16
      public static final Icon CONSTRAIN_START_SRC = load("/studio/icons/layout-editor/toolbar/constraint/constrain-src-start.png"); // 16x16
      public static final Icon CONSTRAIN_END_SRC = load("/studio/icons/layout-editor/toolbar/constraint/constrain-src-end.png"); // 16x16
      public static final Icon CONSTRAIN_TOP_DES = load("/studio/icons/layout-editor/toolbar/constraint/constrain-to-top.png"); // 16x16
      public static final Icon CONSTRAIN_BOTTOM_DES = load("/studio/icons/layout-editor/toolbar/constraint/constrain-to-bottom.png"); // 16x16
      public static final Icon CONSTRAIN_START_DES = load("/studio/icons/layout-editor/toolbar/constraint/constrain-to-start.png"); // 16x16
      public static final Icon CONSTRAIN_END_DES = load("/studio/icons/layout-editor/toolbar/constraint/constrain-to-end.png"); // 16x16
      public static final Icon CONSTRAIN_BASELINE_DES = load("/studio/icons/layout-editor/toolbar/constraint/constrain-to-baseline.png"); // 16x16
      public static final Icon CONSTRAIN_TOP_PARENT = load("/studio/icons/layout-editor/toolbar/constraint/constrain-parent-top.png"); // 16x16
      public static final Icon CONSTRAIN_BOTTOM_PARENT = load("/studio/icons/layout-editor/toolbar/constraint/constrain-parent-bottom.png"); // 16x16
      public static final Icon CONSTRAIN_START_PARENT = load("/studio/icons/layout-editor/toolbar/constraint/constrain-parent-start.png"); // 16x16
      public static final Icon CONSTRAIN_END_PARENT = load("/studio/icons/layout-editor/toolbar/constraint/constrain-parent-end.png"); // 16x16
      public static final Icon LANGUAGE = load("/studio/icons/layout-editor/toolbar/language.png"); // 16x16
      public static final Icon LEFT_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/left-aligned-constraint.png"); // 16x16
      public static final Icon LEFT_ALIGNED = load("/studio/icons/layout-editor/toolbar/left-aligned.png"); // 16x16
      public static final Icon LOCK = load("/studio/icons/layout-editor/toolbar/lock.png"); // 16x16
      public static final Icon MARGIN = load("/studio/icons/layout-editor/toolbar/margin.png"); // 16x16
      public static final Icon MATCH_PARENT_HEIGHT = load("/studio/icons/layout-editor/toolbar/match-parent-height.png"); // 16x16
      public static final Icon MATCH_PARENT_WIDTH = load("/studio/icons/layout-editor/toolbar/match-parent-width.png"); // 16x16
      public static final Icon MOVE_DOWN_VERT_CHAIN = load("/studio/icons/layout-editor/toolbar/move-down-vert-chain.png"); // 16x16
      public static final Icon MOVE_LEFT_HORIZ_CHAIN = load("/studio/icons/layout-editor/toolbar/move-left-horiz-chain.png"); // 16x16
      public static final Icon MOVE_RIGHT_HORIZ_CHAIN = load("/studio/icons/layout-editor/toolbar/move-right-horiz-chain.png"); // 16x16
      public static final Icon MOVE_UP_VERT_CHAIN = load("/studio/icons/layout-editor/toolbar/move-up-vert-chain.png"); // 16x16
      public static final Icon NORMAL_RENDER = load("/studio/icons/layout-editor/toolbar/normal-render.png"); // 16x16
      public static final Icon ORIENT_HORIZONTAL = load("/studio/icons/layout-editor/toolbar/orient-horizontal.png"); // 16x16
      public static final Icon ORIENT_VERTICAL = load("/studio/icons/layout-editor/toolbar/orient-vertical.png"); // 16x16
      public static final Icon PACK_HORIZONTAL = load("/studio/icons/layout-editor/toolbar/pack-horizontal.png"); // 16x16
      public static final Icon PACK_VERTICAL = load("/studio/icons/layout-editor/toolbar/pack-vertical.png"); // 16x16
      public static final Icon PAN_TOOL = load("/studio/icons/layout-editor/toolbar/pan-tool.png"); // 16x16
      public static final Icon PERCENT = load("/studio/icons/layout-editor/toolbar/percent.png"); // 16x16
      public static final Icon QUESTION = load("/studio/icons/layout-editor/toolbar/question.png"); // 16x16
      public static final Icon REFRESH = load("/studio/icons/layout-editor/toolbar/refresh.png"); // 16x16
      public static final Icon REMOVE_FROM_HORIZ_CHAIN = load("/studio/icons/layout-editor/toolbar/remove-from-horiz-chain.png"); // 16x16
      public static final Icon REMOVE_FROM_VERT_CHAIN = load("/studio/icons/layout-editor/toolbar/remove-from-vert-chain.png"); // 16x16
      public static final Icon RIGHT_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/right-aligned-constraint.png"); // 16x16
      public static final Icon RIGHT_ALIGNED = load("/studio/icons/layout-editor/toolbar/right-aligned.png"); // 16x16
      public static final Icon ROTATE_BUTTON = load("/studio/icons/layout-editor/toolbar/rotate-button.png"); // 16x16
      public static final Icon SEARCH = load("/studio/icons/layout-editor/toolbar/search.png"); // 16x16
      public static final Icon SHOW_CONSTRAINTS = load("/studio/icons/layout-editor/toolbar/show-constraints.png"); // 16x16
      public static final Icon THEME_BUTTON = load("/studio/icons/layout-editor/toolbar/theme-button.png"); // 16x16
      public static final Icon TOP_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/top-aligned-constraint.png"); // 16x16
      public static final Icon TOP_ALIGNED = load("/studio/icons/layout-editor/toolbar/top-aligned.png"); // 16x16
      public static final Icon UNLOCK = load("/studio/icons/layout-editor/toolbar/unlock.png"); // 16x16
      public static final Icon VARIANTS = load("/studio/icons/layout-editor/toolbar/variants.png"); // 16x16
      public static final Icon VERTICAL_CENTER_ALIGNED_CONSTRAINT = load("/studio/icons/layout-editor/toolbar/vertical-center-aligned-constraint.png"); // 16x16
      public static final Icon VERTICAL_CENTER_ALIGNED = load("/studio/icons/layout-editor/toolbar/vertical-center-aligned.png"); // 16x16
      public static final Icon VERTICAL_GUIDE = load("/studio/icons/layout-editor/toolbar/vertical-guide.png"); // 16x16
      public static final Icon VIEW_MODE = load("/studio/icons/layout-editor/toolbar/view-mode.png"); // 16x16
      public static final Icon VIEWPORT_RENDER = load("/studio/icons/layout-editor/toolbar/viewport-render.png"); // 16x16
      public static final Icon VIRTUAL_DEVICES = load("/studio/icons/layout-editor/toolbar/virtual-devices.png"); // 16x16
      public static final Icon WRAP_HEIGHT = load("/studio/icons/layout-editor/toolbar/wrap-height.png"); // 16x16
      public static final Icon WRAP_WIDTH = load("/studio/icons/layout-editor/toolbar/wrap-width.png"); // 16x16
    }
  }

  public static class MotionLayoutUI {
    public static final Icon ADD_KEYFRAME = load("/studio/icons/layout-editor/motion/add-keyframe.png"); // 16x16
    public static final Icon REMOVE_KEYFRAME = load("/studio/icons/layout-editor/motion/remove-keyframe.png"); // 16x16
    public static final Icon REMOVE_TAG = load("/studio/icons/layout-editor/motion/ic_delete_forever.png"); // 16x16
    public static final Icon CIRCLE_PLAY = load("/studio/icons/layout-editor/motion/circle-play.png"); // 16x16
    public static final Icon BACKWARD = load("/studio/icons/layout-editor/motion/skip-previous.png"); // 16x16
    public static final Icon PLAY = load("/studio/icons/layout-editor/motion/play.png"); // 16x16
    public static final Icon FORWARD = load("/studio/icons/layout-editor/motion/skip-next.png"); // 16x16
    public static final Icon LOOP = load("/studio/icons/layout-editor/motion/loop.png"); // 16x16
    public static final Icon VIEW = load("/studio/icons/layout-editor/motion/motion_view_icon.png"); // 16x16
    public static final Icon CHART = load("/studio/icons/layout-editor/motion/chart-line.png"); // 16x16
    public static final Icon START = load("/studio/icons/layout-editor/motion/start-graphic.png"); // 16x16
    public static final Icon END = load("/studio/icons/layout-editor/motion/end-graphic.png"); // 16x16
    public static final Icon PAUSE = load("/studio/icons/layout-editor/motion/pause.png"); // 16x16
  }

  public static class LayoutInspector {
    public static final Icon CLEAR_OVERLAY = load("/studio/icons/layout-inspector/clear-overlay.png"); // 16x16
    public static final Icon COLOR_PICKER = load("/studio/icons/layout-inspector/color-picker.png"); // 16x16
    public static final Icon LOAD_OVERLAY = load("/studio/icons/layout-inspector/load-overlay.png"); // 16x16
  }

  public static class Logcat {
    public static final Icon SETTINGS = load("/studio/icons/logcat/toolbar/settings.png"); // 16x16
    public static final Icon SNAPSHOT = load("/studio/icons/logcat/toolbar/snapshot.png"); // 16x16
    public static final Icon VIDEO_CAPTURE = load("/studio/icons/logcat/toolbar/video-capture.png"); // 16x16
    public static final Icon WRAP_TEXT = load("/studio/icons/logcat/toolbar/wrap-text.png"); // 16x16
  }

  public static class Misc {
    public static final Icon GRADLE_VARIABLE = load("/studio/icons/misc/gradle-variable.png"); // 16x16
  }

  public static class NavEditor {
    public static class ExistingDestinations {
      public static final Icon ACTIVITY = load("/studio/icons/nav-editor/existing-destinations/activity.png"); // 146x188
      public static final Icon DESTINATION = load("/studio/icons/nav-editor/existing-destinations/destination.png"); // 146x188
      public static final Icon NESTED = load("/studio/icons/nav-editor/existing-destinations/nested.png"); // 146x188
      public static final Icon PLACEHOLDER = load("/studio/icons/nav-editor/existing-destinations/placeholder.png"); // 146x188
    }

    public static class Properties {
      public static final Icon ACTION = load("/studio/icons/nav-editor/properties/action.png"); // 16x16
      public static final Icon ARGUMENT = load("/studio/icons/nav-editor/properties/argument.png"); // 16x16
      public static final Icon GLOBAL_ACTION = load("/studio/icons/nav-editor/properties/global-action.png"); // 16x16
      public static final Icon SOURCE = load("/studio/icons/nav-editor/properties/source.png"); // 16x16
    }

    public static class Surface {
      public static final Icon DEEPLINK = load("/studio/icons/nav-editor/surface/deeplink.png"); // 56x56
      public static final Icon START_DESTINATION = load("/studio/icons/nav-editor/surface/start-destination.png"); // 56x56
    }

    public static class Toolbar {
      public static final Icon ADD_DESTINATION = load("/studio/icons/nav-editor/toolbar/add-destination.png"); // 16x16
      public static final Icon ASSIGN_START = load("/studio/icons/nav-editor/toolbar/assign-start.png"); // 16x16
      public static final Icon AUTO_ARRANGE = load("/studio/icons/nav-editor/toolbar/auto-arrange.png"); // 16x16
      public static final Icon DEEPLINK = load("/studio/icons/nav-editor/toolbar/deeplink.png"); // 16x16
    }

    public static class Tree {
      public static final Icon ACTIVITY = load("/studio/icons/nav-editor/tree/activity.png"); // 16x16
      public static final Icon FRAGMENT = load("/studio/icons/nav-editor/tree/fragment.png"); // 16x16
      public static final Icon INCLUDE_GRAPH = load("/studio/icons/nav-editor/tree/include-graph.png"); // 16x16
      public static final Icon NESTED_GRAPH = load("/studio/icons/nav-editor/tree/nested-graph.png"); // 16x16
      public static final Icon PLACEHOLDER = load("/studio/icons/nav-editor/tree/placeholder.png"); // 16x16
    }
  }

  public static class NewResourceFile {
    public static final Icon COUNTRY_CODE = load("/studio/icons/new-resource-file/country-code.png"); // 16x16
    public static final Icon DENSITY = load("/studio/icons/new-resource-file/density.png"); // 16x16
    public static final Icon DIMENSION = load("/studio/icons/new-resource-file/dimension.png"); // 16x16
    public static final Icon KEYBOARD = load("/studio/icons/new-resource-file/keyboard.png"); // 16x16
    public static final Icon LAYOUT_DIRECTION = load("/studio/icons/new-resource-file/layout-direction.png"); // 16x16
    public static final Icon LOCALE = load("/studio/icons/new-resource-file/locale.png"); // 16x16
    public static final Icon NAVIGATION_METHOD = load("/studio/icons/new-resource-file/navigation-method.png"); // 16x16
    public static final Icon NAVIGATION_STATE = load("/studio/icons/new-resource-file/navigation-state.png"); // 16x16
    public static final Icon NETWORK_CODE = load("/studio/icons/new-resource-file/network-code.png"); // 16x16
    public static final Icon NIGHT_MODE = load("/studio/icons/new-resource-file/night-mode.png"); // 16x16
    public static final Icon ORIENTATION = load("/studio/icons/new-resource-file/orientation.png"); // 16x16
    public static final Icon SCREEN_HEIGHT = load("/studio/icons/new-resource-file/screen-height.png"); // 16x16
    public static final Icon SCREEN_RATIO = load("/studio/icons/new-resource-file/screen-ratio.png"); // 16x16
    public static final Icon SCREEN_SIZE = load("/studio/icons/new-resource-file/screen-size.png"); // 16x16
    public static final Icon SCREEN_WIDTH = load("/studio/icons/new-resource-file/screen-width.png"); // 16x16
    public static final Icon SMALLEST_SCREEN_SIZE = load("/studio/icons/new-resource-file/smallest-screen-size.png"); // 16x16
    public static final Icon TEXT_INPUT = load("/studio/icons/new-resource-file/text-input.png"); // 16x16
    public static final Icon TOUCH_SCREEN = load("/studio/icons/new-resource-file/touch-screen.png"); // 16x16
    public static final Icon UI_MODE = load("/studio/icons/new-resource-file/ui-mode.png"); // 16x16
    public static final Icon VERSION = load("/studio/icons/new-resource-file/version.png"); // 16x16
  }

  public static class Profiler {
    public static class Events {
      public static final Icon ALLOCATION_TRACKING_FULL = load("/studio/icons/profiler/events/allocation-tracking-full.png"); // 22x22
      public static final Icon ALLOCATION_TRACKING_NONE = load("/studio/icons/profiler/events/allocation-tracking-none.png"); // 22x22
      public static final Icon ALLOCATION_TRACKING_SAMPLED = load("/studio/icons/profiler/events/allocation-tracking-sampled.png"); // 22x22
      public static final Icon BACK_BUTTON = load("/studio/icons/profiler/events/back-button.png"); // 22x22
      public static final Icon GARBAGE_EVENT = load("/studio/icons/profiler/events/garbage-event.png"); // 22x22
      public static final Icon GPS = load("/studio/icons/profiler/events/gps.png"); // 22x22
      public static final Icon KEYBOARD_EVENT = load("/studio/icons/profiler/events/keyboard-event.png"); // 22x22
      public static final Icon ROTATE_EVENT = load("/studio/icons/profiler/events/rotate-event.png"); // 22x22
      public static final Icon VOLUME_DOWN = load("/studio/icons/profiler/events/volume-down.png"); // 22x22
      public static final Icon VOLUME_UP = load("/studio/icons/profiler/events/volume-up.png"); // 22x22
    }

    public static class Files {
      public static final Icon PROFILER_CAPTURE = load("/studio/icons/profiler/files/profiler-capture.png"); // 16x16
    }

    public static class Overlays {
      public static final Icon ARRAY_STACK = load("/studio/icons/profiler/overlays/array-stack.png"); // 16x16
      public static final Icon CLASS_STACK = load("/studio/icons/profiler/overlays/class-stack.png"); // 16x16
      public static final Icon FIELD_STACK = load("/studio/icons/profiler/overlays/field-stack.png"); // 16x16
      public static final Icon INTERFACE_STACK = load("/studio/icons/profiler/overlays/interface-stack.png"); // 16x16
      public static final Icon METHOD_STACK = load("/studio/icons/profiler/overlays/method-stack.png"); // 16x16
      public static final Icon PACKAGE_STACK = load("/studio/icons/profiler/overlays/package-stack.png"); // 16x16
      public static final Icon THREAD_SUSPENDED_STACK = load("/studio/icons/profiler/overlays/thread-suspended-stack.png"); // 16x16
      public static final Icon TRANSPARENT_TILE = load("/studio/icons/profiler/overlays/transparent-tile.png"); // 20x20
    }

    public static class Sessions {
      public static final Icon ALLOCATIONS = load("/studio/icons/profiler/sessions/allocations.png"); // 16x16
      public static final Icon BOOKMARK = load("/studio/icons/profiler/sessions/bookmark.png"); // 16x16
      public static final Icon CPU = load("/studio/icons/profiler/sessions/cpu.png"); // 16x16
      public static final Icon HEAP = load("/studio/icons/profiler/sessions/heap.png"); // 16x16
      public static final Icon SAVE = load("/studio/icons/profiler/sessions/save.png"); // 16x16
    }

    public static class Sidebar {
      public static final Icon FILE = load("/studio/icons/profiler/sidebar/file.png"); // 44x44
      public static final Icon ISSUE = load("/studio/icons/profiler/sidebar/issue.png"); // 44x44
    }

    public static class Toolbar {
      public static final Icon CAPTURE_CLOCK = load("/studio/icons/profiler/toolbar/capture-clock.png"); // 16x16
      public static final Icon CLOCK = load("/studio/icons/profiler/toolbar/clock.png"); // 16x16
      public static final Icon COLLAPSE_SESSION = load("/studio/icons/profiler/toolbar/collapse-session.png"); // 16x16
      public static final Icon EXPAND_SESSION = load("/studio/icons/profiler/toolbar/expand-session.png"); // 16x16
      public static final Icon FORCE_GARBAGE_COLLECTION = load("/studio/icons/profiler/toolbar/force-garbage-collection.png"); // 16x16
      public static final Icon GOTO_LIVE = load("/studio/icons/profiler/toolbar/goto-live.png"); // 16x16
      public static final Icon HEAP_DUMP = load("/studio/icons/profiler/toolbar/heap-dump.png"); // 16x16
      public static final Icon PAUSE_LIVE = load("/studio/icons/profiler/toolbar/pause-live.png"); // 16x16
      public static final Icon RECORD = load("/studio/icons/profiler/toolbar/record.png"); // 16x16
      public static final Icon STOP_RECORDING = load("/studio/icons/profiler/toolbar/stop-recording.png"); // 16x16
      public static final Icon STOP_SESSION = load("/studio/icons/profiler/toolbar/stop-session.png"); // 16x16
    }
  }

  public static class ResourcePicker {
    public static final Icon WEB_FONT = load("/studio/icons/resource-picker/web-font.png"); // 16x16
  }

  public static class Shell {
    public static class Filetree {
      public static final Icon ANDROID_BUILD_ARTIFACT = load("/studio/icons/shell/filetree/android-build-artifact.png"); // 16x16
      public static final Icon ANDROID_FILE = load("/studio/icons/shell/filetree/android-file.png"); // 16x16
      public static final Icon ANDROID_MODULE = load("/studio/icons/shell/filetree/android-module.png"); // 16x16
      public static final Icon ANDROID_PROJECT = load("/studio/icons/shell/filetree/android-project.png"); // 16x16
      public static final Icon ANDROID_TEST_ROOT = load("/studio/icons/shell/filetree/android-test-root.png"); // 16x16
      public static final Icon ANDROID_TREE = load("/studio/icons/shell/filetree/android-tree.png"); // 24x24
      public static final Icon CONFIG_FILE = load("/studio/icons/shell/filetree/config-file.png"); // 16x16
      public static final Icon FEATURE_MODULE = load("/studio/icons/shell/filetree/feature-module.png"); // 16x16
      public static final Icon FONT_FILE = load("/studio/icons/shell/filetree/font-file.png"); // 16x16
      public static final Icon GRADLE_FILE = load("/studio/icons/shell/filetree/gradle-file.png"); // 16x16
      public static final Icon INSTANT_APPS = load("/studio/icons/shell/filetree/instant-apps.png"); // 16x16
      public static final Icon LIBRARY_MODULE = load("/studio/icons/shell/filetree/library-module.png"); // 16x16
      public static final Icon LIBRARY_UNKNOWN = load("/studio/icons/shell/filetree/library-unknown.png"); // 16x16
      public static final Icon LIBRARY_WARNING = load("/studio/icons/shell/filetree/library-warning.png"); // 16x16
      public static final Icon MANIFEST_FILE = load("/studio/icons/shell/filetree/manifest-file.png"); // 16x16
      public static final Icon MAVEN = load("/studio/icons/shell/filetree/maven.png"); // 16x16
      public static final Icon RENDER_SCRIPT = load("/studio/icons/shell/filetree/render-script.png"); // 16x16
      public static final Icon SCENEFORM_ASSET_DESCRIPTION_FILE = load("/studio/icons/shell/filetree/sceneform-asset-description-file.png"); // 16x16
      public static final Icon SCENEFORM_BINARY = load("/studio/icons/shell/filetree/sceneform-binary.png"); // 16x16
    }

    public static class Menu {
      public static final Icon ANDROID_PREVIEW = load("/studio/icons/shell/menu/android-preview.png"); // 16x16
      public static final Icon AVD_MANAGER = load("/studio/icons/shell/menu/avd-manager.png"); // 16x16
      public static final Icon LAYOUT_INSPECTOR = load("/studio/icons/shell/menu/layout-inspector.png"); // 16x16
      public static final Icon PROFILER = load("/studio/icons/shell/menu/profiler.png"); // 16x16
      public static final Icon THEME_EDITOR = load("/studio/icons/shell/menu/theme-editor.png"); // 16x16
    }

    public static class Telemetry {
      public static final Icon SENTIMENT_NEGATIVE = load("/studio/icons/shell/telemetry/sentiment-negative.png"); // 16x16
      public static final Icon SENTIMENT_POSITIVE = load("/studio/icons/shell/telemetry/sentiment-positive.png"); // 16x16
    }

    public static class ToolWindows {
      public static final Icon ANDROID_MODEL = load("/studio/icons/shell/tool-windows/android-model.png"); // 13x13
      public static final Icon ANDROID_PREVIEW = load("/studio/icons/shell/tool-windows/android-preview.png"); // 13x13
      public static final Icon ANDROID_PROFILER = load("/studio/icons/shell/tool-windows/android-profiler.png"); // 13x13
      public static final Icon ASSISTANT = load("/studio/icons/shell/tool-windows/assistant.png"); // 13x13
      public static final Icon ATTRIBUTES = load("/studio/icons/shell/tool-windows/attributes.png"); // 13x13
      public static final Icon BUILD_VARIANTS = load("/studio/icons/shell/tool-windows/build-variants.png"); // 13x13
      public static final Icon BUILD = load("/studio/icons/shell/tool-windows/build.png"); // 13x13
      public static final Icon CAPTURES = load("/studio/icons/shell/tool-windows/captures.png"); // 13x13
      public static final Icon COMPONENT_TREE = load("/studio/icons/shell/tool-windows/component-tree.png"); // 13x13
      public static final Icon DEBUG = load("/studio/icons/shell/tool-windows/debug.png"); // 13x13
      public static final Icon DEVICE_EXPLORER = load("/studio/icons/shell/tool-windows/device-explorer.png"); // 13x13
      public static final Icon EVENT_LOG = load("/studio/icons/shell/tool-windows/event-log.png"); // 13x13
      public static final Icon FAVORITES = load("/studio/icons/shell/tool-windows/favorites.png"); // 13x13
      public static final Icon GRADLE = load("/studio/icons/shell/tool-windows/gradle.png"); // 13x13
      public static final Icon INSPECTION = load("/studio/icons/shell/tool-windows/inspection.png"); // 16x16
      public static final Icon LINT = load("/studio/icons/shell/tool-windows/lint.png"); // 13x13
      public static final Icon LOCK = load("/studio/icons/shell/tool-windows/lock.png"); // 16x16
      public static final Icon LOGCAT = load("/studio/icons/shell/tool-windows/logcat.png"); // 13x13
      public static final Icon PALETTE = load("/studio/icons/shell/tool-windows/palette.png"); // 13x13
      public static final Icon PROJECT = load("/studio/icons/shell/tool-windows/project.png"); // 13x13
      public static final Icon RUN = load("/studio/icons/shell/tool-windows/run.png"); // 13x13
      public static final Icon SEARCH = load("/studio/icons/shell/tool-windows/search.png"); // 13x13
      public static final Icon STRUCTURE = load("/studio/icons/shell/tool-windows/structure.png"); // 13x13
      public static final Icon TERMINAL = load("/studio/icons/shell/tool-windows/terminal.png"); // 13x13
      public static final Icon TODO = load("/studio/icons/shell/tool-windows/todo.png"); // 13x13
      public static final Icon TOGGLE_PROPERTIES = load("/studio/icons/shell/tool-windows/toggle-properties.png"); // 13x13
      public static final Icon TOOL_WINDOW = load("/studio/icons/shell/tool-windows/tool-window.png"); // 13x13
      public static final Icon VERSION_CONTROL = load("/studio/icons/shell/tool-windows/version-control.png"); // 13x13
      public static final Icon VISUAL_ASSETS = load("/studio/icons/shell/tool-windows/visual-assets.png"); // 13x13
      public static final Icon WINDOW_TOGGLE = load("/studio/icons/shell/tool-windows/window-toggle.png"); // 16x16
      public static final Icon WINDOW_TOGGLED = load("/studio/icons/shell/tool-windows/window-toggled.png"); // 16x16
    }

    public static class Toolbar {
      public static final Icon ATTACH_DEBUGGER = load("/studio/icons/shell/toolbar/attach-debugger.png"); // 16x16
      public static final Icon BUILD = load("/studio/icons/shell/toolbar/build.png"); // 16x16
      public static final Icon DEBUG = load("/studio/icons/shell/toolbar/debug.png"); // 16x16
      public static final Icon DEVICE_MANAGER = load("/studio/icons/shell/toolbar/device-manager.png"); // 16x16
      public static final Icon GRADLE_SYNC = load("/studio/icons/shell/toolbar/gradle-sync.png"); // 16x16
      public static final Icon INSTANT_RUN = load("/studio/icons/shell/toolbar/instant-run.png"); // 16x16
      public static final Icon PROFILER = load("/studio/icons/shell/toolbar/profiler.png"); // 16x16
      public static final Icon PROJECT_STRUCTURE = load("/studio/icons/shell/toolbar/project-structure.png"); // 16x16
      public static final Icon RUN_WITH_COVERAGE = load("/studio/icons/shell/toolbar/run-with-coverage.png"); // 16x16
      public static final Icon RUN = load("/studio/icons/shell/toolbar/run.png"); // 16x16
      public static final Icon SDK_MANAGER = load("/studio/icons/shell/toolbar/sdk-manager.png"); // 16x16
      public static final Icon SEARCH = load("/studio/icons/shell/toolbar/search.png"); // 16x16
      public static final Icon STOP = load("/studio/icons/shell/toolbar/stop.png"); // 16x16
      public static final Icon USER_PROFILE_ACTIVE = load("/studio/icons/shell/toolbar/user-profile-active.png"); // 16x16
      public static final Icon USER_PROFILE = load("/studio/icons/shell/toolbar/user-profile.png"); // 16x16
    }
  }
}